local createCompositionfrog_jump_back = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/06_garden/hp/anim/frog/"
---------------------------------------------------------------------------------------
function Loader_06_Frog_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionfrog_jump_back,		                'frog_jump_back',		        0,0, 5, 512,384, false),
		},
		{
			function (element, textureName)
				if textureName == "splash_from_frog.png" then
					local anim = element:GetTexture()
					anim:SetFrames(17)
					anim:SetTextureRect(0,0,73,44)
					anim:SetSpeed(30)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionfrog_jump_back = function()
	local compositionfrog_jump_back = CreateCompositionSequence()
	local compositionDuration = 1.45833333333333
	compositionfrog_jump_back:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_1")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionfrog_jump_back)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.45833333333333)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."splash_from_frog.png")
	element:SetName("Layer_2")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(36.5, 22)
	element:SetParentElement(compositionfrog_jump_back)
	element:SetXY(949, 498)
 
	element:SetScaleX(1.22820672478207)
	element:SetScaleY(1.22820672478207)
	element:SetAngle(0.11743468966233)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 1.14998372395833)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:SetKey(_TRACK_O, 1.125, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_3")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionfrog_jump_back)
	element:SetXY(945.875, 496.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.45833333333333)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."frog_down_leg.png")
	element:SetName("Layer_4")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(16.2687724378661, 51.5166691732914)
	compositionfrog_jump_back:RegisterParentInfo("Layer_4", "Layer_5")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0.20833333333333, 11.749990496661)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 41.6405574397655)
	effector:SetKey(_TRACK_X, 0.45833333333333, 11.749990496661)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 41.6405574397655)
	effector:SetKey(_TRACK_SX, 0.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 1)
	effector:SetKey(_TRACK_A, 0, 5.73712594924213)
	effector:SetKey(_TRACK_A, 0.20833333333333, 3.68722029456364)
	effector:SetKey(_TRACK_A, 0.58333333333333, 3.68722029456364)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."frog_midl_leg.png")
	element:SetName("Layer_5")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(19.031341731849, 14.739661959663)
	compositionfrog_jump_back:RegisterParentInfo("Layer_5", "Layer_6")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0.20833333333333, 28.286616232488)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 40.1990339940808)
	effector:SetKey(_TRACK_X, 0.45833333333333, 28.286616232488)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 40.1990339940808)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 0.8)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 0.8)
	effector:SetKey(_TRACK_A, 0, -0.07677524489331)
	effector:SetKey(_TRACK_A, 0.20833333333333, -0.44736472361916)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.44736472361916)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.08333333333333, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."telo_frog.png")
	element:SetName("Layer_6")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(19.5, 27.5)
	element:SetParentElement(compositionfrog_jump_back)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.83333333333333)
	effector:SetKey(_TRACK_X, 0, 818.178405761719)
	effector:SetKey(_TRACK_Y, 0, 399.209442138672)
	effector:SetKey(_TRACK_X, 0.19999186197917, 875.240044745221)
	effector:SetKey(_TRACK_Y, 0.19999186197917, 365.501623035214)
	effector:SetKey(_TRACK_X, 0.33333333333333, 918.428406374167)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 376.709442001638)
	effector:SetKey(_TRACK_X, 0.39998372395833, 932.577686781401)
	effector:SetKey(_TRACK_Y, 0.39998372395833, 395.384627970344)
	effector:SetKey(_TRACK_X, 0.60001627604167, 949.368480414494)
	effector:SetKey(_TRACK_Y, 0.60001627604167, 464.66422261519)
	effector:SetKey(_TRACK_X, 0.70833333333333, 952.178405761719)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 503.209442138672)
	effector:SetKey(_TRACK_SX, 0, 0.94957984924316)
	effector:SetKey(_TRACK_SY, 0, -0.94957984924316)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 1.08957984924316)
	effector:SetKey(_TRACK_SY, 0.58333333333333, -1.08957984924316)
	effector:SetKey(_TRACK_A, 0, -2.63802933548539)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.53842581032407)
	effector:SetKey(_TRACK_A, 0.70833333333333, -0.511572072776)
	effector:SetKey(_TRACK_O, 0.04166666666667, 0.01)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 0.58333333333333, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_7")
	compositionfrog_jump_back:AddElement(element)
	element:SetHotSpot(46, 33)
	element:SetParentElement(compositionfrog_jump_back)
	element:SetXY(824.704355824702, 403.67173834144)
 
	element:SetScaleX(-0.647395)
	element:SetScaleY(0.64739495391846)
	element:SetAngle(-0.03650950024386)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.16666666666667)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:Play()
 
	compositionfrog_jump_back:Play()
 
	return compositionfrog_jump_back
end
 
